| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_stats_tree Struct Reference

Represents a live statistics tree instance, holding runtime state for accumulating and displaying tap statistics. More...

`#include <stats_tree_priv.h>`

## Public Attributes
stats_tree_cfg * | cfg
char * | filter
double | start
double | elapsed
double | now
int | st_flags
int | num_columns
char * | display_name
GHashTable * | names
GPtrArray * | parents
tree_pres * | pr
stat_node | root

## Detailed Description

Represents a live statistics tree instance, holding runtime state for accumulating and displaying tap statistics.

## Member Data Documentation

## ◆ cfg

stats_tree_cfg* _stats_tree::cfg

Pointer to the class configuration from which this tree instance was created.

## ◆ display_name

char* _stats_tree::display_name

Human-readable name shown in the statistics tree window title.

## ◆ elapsed

double _stats_tree::elapsed

Total elapsed time (in seconds) since collection started.

## ◆ filter

char* _stats_tree::filter

Optional display filter string applied to limit which packets are counted.

## ◆ names

GHashTable* _stats_tree::names

Hash table mapping parent node name strings to their stat_node pointers for fast lookup.

## ◆ now

double _stats_tree::now

Timestamp (in seconds) of the most recently processed packet.

## ◆ num_columns

int _stats_tree::num_columns

Number of columns in the statistics tree display.

## ◆ parents

GPtrArray* _stats_tree::parents

Array of parent stat_node pointers for accelerated parent node resolution.

## ◆ pr

tree_pres* _stats_tree::pr

Opaque presentation handle defined by the GUI implementation for rendering the tree.

## ◆ root

stat_node _stats_tree::root

The root node of the statistics tree from which all other nodes descend.

## ◆ st_flags

int _stats_tree::st_flags

Runtime flags controlling tree behavior (e.g. sorting options).

## ◆ start

double _stats_tree::start

Timestamp (in seconds) at which statistics collection began.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/stats_tree_priv.h